Aktualisierungen für opsi 4.1 Stable & Testing

Neuigkeiten und Ankündigungen
Benutzeravatar
n.wenselowski
uib-Team
Beiträge: 3193
Registriert: 04 Apr 2013, 12:15

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon n.wenselowski » 08 Okt 2019, 12:39

Hi,

Dekay hat geschrieben:Kann man mittlerweile den Opsi-Server auf einem Debian 10 Server installieren ? :)

Wie von SirTux schon erwähnt ist Debian 10 seit einiger Zeit in Testing.
Diese Woche gibt es noch ein Release in Vorbereitung für ein Release von Debian 10 nach stable, welches wir machen müssen, damit bei unseren UCS-Usern keine kaputte Umgebung entsteht.


Viele Grüße

Niko
opsi development - uib gmbh
For productive opsi installations we recommend support contracts.

SirTux
Beiträge: 293
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 08 Okt 2019, 22:10

n.wenselowski hat geschrieben:Diese Woche gibt es noch ein Release in Vorbereitung für ein Release von Debian 10 nach stable, welches wir machen müssen, damit bei unseren UCS-Usern keine kaputte Umgebung entsteht.


Hi Niko,

ist das eine Anspielung auf UCS 5.0? Oder was wolltest du damit sagen?

Viele Grüße,
SirTux

Benutzeravatar
n.wenselowski
uib-Team
Beiträge: 3193
Registriert: 04 Apr 2013, 12:15

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon n.wenselowski » 09 Okt 2019, 11:52

Hi,

SirTux hat geschrieben:
n.wenselowski hat geschrieben:Diese Woche gibt es noch ein Release in Vorbereitung für ein Release von Debian 10 nach stable, welches wir machen müssen, damit bei unseren UCS-Usern keine kaputte Umgebung entsteht.

ist das eine Anspielung auf UCS 5.0? Oder was wolltest du damit sagen?

Ne.
Kleiner Hintergrund warum Debian 10 so lange in Testing liegt: wir haben einiges umbauen müssen, weshalb die meisten Server-Dienste davon betroffen sind. Ungefähr zeitgleich haben wir angefangen Änderungen für UCS vorzunehmen, bei denen es dazu kommen konnte, dass User ihre DHCP-Policies ändern mussten.
Das könnte bei einem unachtsamen Installieren zur Folge haben, dass jemand kein Netboot mehr machen kann. Dass es soweit nicht kommt ist mittlerweile in testing behoben.
Hätten wir zuvor die Pakete aus Testing (und damit den Support für Debian 10) released, wären die Änderungen für UCS mit nach stable gekommen.
Ich hoffe das macht es etwas klarer :)

Wir haben jetzt einen Weg genommen, welcher in UCS keine Änderungen mehr notwendig macht und mit dem geht es bald in Richtung stable - und dann kommt auch der Support für Debian 10 dort an.



Viele Grüße

Niko

PS: UCS 5 finde ich ja super, weil eeeeeendlich mal in Bremen ankommt, dass Python 3 wichtig ist!
opsi development - uib gmbh
For productive opsi installations we recommend support contracts.

SirTux
Beiträge: 293
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 15 Nov 2019, 13:12

l-desktop ist auch betroffen:

Code: Alles auswählen

(13158)   [6] [Nov 15 11:53:45:861] [l-desktop]     ExitCode 100
(13159)   [7] [Nov 15 11:53:45:861] [l-desktop]             
(13160)   [7] [Nov 15 11:53:45:862] [l-desktop]             output:
(13161)   [7] [Nov 15 11:53:45:862] [l-desktop]             --------------
(13162)   [7] [Nov 15 11:53:45:862] [l-desktop]             + export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
(13163)   [7] [Nov 15 11:53:45:863] [l-desktop]             + PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
(13164)   [7] [Nov 15 11:53:45:863] [l-desktop]             + export DEBIAN_FRONTEND=noninteractive
(13165)   [7] [Nov 15 11:53:45:863] [l-desktop]             + DEBIAN_FRONTEND=noninteractive
(13166)   [7] [Nov 15 11:53:45:864] [l-desktop]             + apt-get --yes --force-yes install libreoffice-l10n-de libreoffice-help-de mythes-de hyphen-de hunspell-de
(13167)   [7] [Nov 15 11:53:45:864] [l-desktop]             Paketlisten werden gelesen...
(13168)   [7] [Nov 15 11:53:45:864] [l-desktop]             Abhängigkeitsbaum wird aufgebaut....
(13169)   [7] [Nov 15 11:53:45:864] [l-desktop]             Statusinformationen werden eingelesen....
(13170)   [7] [Nov 15 11:53:45:864] [l-desktop]             W: --force-yes ist veraltet, verwenden Sie stattdessen eine der Optionen, die mit --allow beginnen.
(13171)   [7] [Nov 15 11:53:45:864] [l-desktop]             E: Paket hunspell-de kann nicht gefunden werden.
(13172)   [7] [Nov 15 11:53:45:864] [l-desktop]             + exit 100
(13173)   [7] [Nov 15 11:53:45:864] [l-desktop]     
(13174)   [7] [Nov 15 11:53:45:864] [l-desktop]     The file: /tmp/_opsiscript_Gg40Hu58.cmd has been deleted
(13175)   [6] [Nov 15 11:53:45:864] [l-desktop]       Search "/tmp/"
(13176)   [6] [Nov 15 11:53:45:864] [l-desktop]       Search "/tmp/_opsiscript_*"
(13177)   [6] [Nov 15 11:53:45:865] [l-desktop]     If
(13178)   [7] [Nov 15 11:53:45:865] [l-desktop]     "0" = getLastExitCode   <<< result false
(13179)   [6] [Nov 15 11:53:45:865] [l-desktop]     not("0" = getLastExitCode)   <<< result true
(13180)   [6] [Nov 15 11:53:45:865] [l-desktop]   Then
(13181)   [5] [Nov 15 11:53:45:868] [l-desktop]     message failed to install libreoffice localization packages
(13182)   [2] [Nov 15 11:53:45:870] [l-desktop]     Error level set to fatal
(13183)   [6] [Nov 15 11:53:45:870] [l-desktop]     Process aborted
(13184)   [1] [Nov 15 11:53:45:870] [l-desktop] ___________________
(13185)   [1] [Nov 15 11:53:45:871] [l-desktop] script finished: failed

Benutzeravatar
n.wenselowski
uib-Team
Beiträge: 3193
Registriert: 04 Apr 2013, 12:15

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon n.wenselowski » 18 Nov 2019, 15:22

Hi SirTux,

danke für den Hinweis!

Probiere es mal bitte mit dem Paket aus experimental.


Viele Grüße

Niko
opsi development - uib gmbh
For productive opsi installations we recommend support contracts.

SirTux
Beiträge: 293
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 18 Nov 2019, 15:48

Hi Niko,

vielen Dank für den Fix. Funktioniert :)

Viele Grüße,
SirTux